Bug 218896 - Ogg plugins fail.
Ogg plugins fail.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: HelixPlayer (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-07 21:13 EST by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-08 17:14:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to use dynamic Ogg libraries (1.94 KB, patch)
2006-12-08 08:40 EST, David Woodhouse
no flags Details | Diff

  None (edit)
Description David Woodhouse 2006-12-07 21:13:16 EST
Our libogg.a and libvorbis.a static libraries are not built with -fPIC.

HelixPlayer links these into its oggfformat.so, theorarend.so and vorbisrend.so
plugins, and these plugins therefore fail to load.

We should link against the _dynamic_ libogg and libvorbis, not the static
version. Or if we _are_ going to insist on linking against the static version,
it needs to be built with -fPIC.
Comment 1 David Woodhouse 2006-12-08 08:40:22 EST
Created attachment 143144 [details]
Patch to use dynamic Ogg libraries

This should fix the problem.
Comment 2 Aurelien Bompard 2006-12-08 17:14:11 EST
Patch applied and package built, thanks a lot !

Note You need to log in before you can comment on or make changes to this bug.